import { createPinia } from 'pinia';
import type { App } from 'vue';

// 导入模块
import userModule from './modules/user';

// 创建 pinia 实例
const pinia = createPinia();

// 导出 store 实例
export const store = {
  // 安装 pinia 插件
  install(app: App) {
    app.use(pinia);
  }
};

// 导出各个模块的 store
export const useUserStore = userModule.store;

// 默认导出 store 实例
export default store; 